package org.code_blue.dmxcremote.v2;

import org.code_blue.dmxcremote.v2.classes.DMXConnection;


import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.AdapterView;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.TextView;
import android.widget.AdapterView.OnItemClickListener;

public class DeviceSelectionActivity extends Activity {
	private LVUpdater lvu=new LVUpdater();
	private DMXConnection dmxConn;
	
	@Override
	public void onCreate(Bundle b){
		super.onCreate(b);
		//requestWindowFeature(Window.FEATURE_NO_TITLE);
		dmxConn=((RemoteApp)getApplication()).getDMXConnection();
		setContentView(R.layout.listview);
		((TextView)findViewById(R.id.listviewDesc)).setText("Select a device");
		ListView mListView=(ListView)findViewById(R.id.listviewList);
		mListView.setTextFilterEnabled(true);
		mListView.setOnItemClickListener(new OnItemClickListener() {
			 public void onItemClick(AdapterView<?> parent, View view,int position, long id) {
				 //String selectedItemText=((TextView)view).getText().toString();
				 Intent intent = new Intent(getApplicationContext(),DeviceControlActivity.class);
				 intent.putExtra("device",position+1);
				 Log.d("DMX","listview click: position="+position+" id="+id);
				 startActivity(intent);
				 
			 }
		 });
	}
	
	@Override
	protected void onResume(){
		super.onResume();
		registerReceiver(lvu,new IntentFilter("org.code_blue.dmxcremote.v2.DATAREADY"));
		dmxConn.requestDeviceList();
	}
	
	@Override
	protected void onPause(){
		super.onPause();
		unregisterReceiver(lvu);
	}
	
	private class LVUpdater extends BroadcastReceiver{
		@Override
		public void onReceive(Context c, Intent i) {
			ListView mListView=(ListView)findViewById(R.id.listviewList);
			//mListView.setListAdapter(new ArrayAdapter<String>(getApplicationContext(), R.layout.list_item, OPTIONS));
			mListView.setAdapter(new ArrayAdapter<String>(getApplicationContext(),R.layout.listview_item,i.getStringExtra("data").split("\\n")));
		}
	}
}
