package org.code_blue.dmxcremote.v2;

import android.app.Activity;
import android.content.SharedPreferences;
import android.os.Bundle;
import android.util.Log;
import android.view.Window;
import android.widget.EditText;

public class SetupActivity extends Activity {
	@Override
	public void onCreate(Bundle b){
		super.onCreate(b);
		requestWindowFeature(Window.FEATURE_NO_TITLE);
		setContentView(R.layout.setup);
	}
	
	@Override
	protected void onResume(){
		super.onResume();
    	SharedPreferences preferences=getSharedPreferences("DMXRemotev2",MODE_PRIVATE);
    	((EditText)findViewById(R.id.setupEditServer)).setText(preferences.getString("serverAddress",""));
    	((EditText)findViewById(R.id.setupEditPort)).setText((preferences.getInt("serverPort",2145))+"");
	}
	
	@Override
	protected void onSaveInstanceState(Bundle outState){
		outState.putString("typedServer",((EditText)findViewById(R.id.setupEditServer)).getText().toString());
		outState.putString("typedPort",((EditText)findViewById(R.id.setupEditPort)).getText().toString());
	}
	
	@Override
	protected void onRestoreInstanceState(Bundle savedInstanceState){
    	((EditText)findViewById(R.id.setupEditServer)).setText(savedInstanceState.getString("typedServer"));
    	((EditText)findViewById(R.id.setupEditPort)).setText((savedInstanceState.getString("typedPort"))+"");
	}
	
	@Override
	protected void onStop(){
		super.onStop();
		Log.d("DMX","saving connection data");
		SharedPreferences.Editor editor=getSharedPreferences("DMXRemotev2",MODE_PRIVATE).edit();
		editor.putString("serverAddress",((EditText)findViewById(R.id.setupEditServer)).getText().toString());
		editor.putInt("serverPort",Integer.valueOf(((EditText)findViewById(R.id.setupEditPort)).getText().toString()));
		editor.commit();
	}
}
